Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SensorBehaviorControlInterfaces Class Reference

The interfaces of the SensorBehaviorControl module. More...

`#include <SensorBehaviorControl.h>`

Inheritance diagram for SensorBehaviorControlInterfaces:

[legend]
Collaboration diagram for SensorBehaviorControlInterfaces:

[legend]
List of all members.

## Public Member Functions
| SensorBehaviorControlInterfaces (const Image &image, const SensorDataBuffer &sensorDataBuffer, const CameraMatrix &cameraMatrix, const ColorTable &colorTable, const OdometryData &odometryData, const RobotState &robotState, const JoystickData &joystickData, const TeamMessageCollection &teamMessageCollection, SoundRequest &soundRequest, MotionRequest &motionRequest, LEDRequest &ledRequest, HeadControlMode &headControlMode)
| Constructor.
## Public Attributes
const Image & | image
const SensorDataBuffer & | sensorDataBuffer
const CameraMatrix & | cameraMatrix
const ColorTable & | colorTable
| The color table ptr.
const OdometryData & | odometryData
| The odometry that was estimated by the motion modules.
const RobotState & | robotState
SoundRequest & | soundRequest
MotionRequest & | motionRequest
LEDRequest & | ledRequest
HeadControlMode & | headControlMode
const JoystickData & | joystickData
| Data produced by an extern sensor called joystick.
const TeamMessageCollection & | teamMessageCollection
| Incoming team messages from other robots.

## Detailed Description

The interfaces of the SensorBehaviorControl module.

Definition at line 33 of file SensorBehaviorControl.h.

## Constructor & Destructor Documentation

SensorBehaviorControlInterfaces::SensorBehaviorControlInterfaces | ( | const Image & | image,
|  | const SensorDataBuffer & | sensorDataBuffer,
|  | const CameraMatrix & | cameraMatrix,
|  | const ColorTable & | colorTable,
|  | const OdometryData & | odometryData,
|  | const RobotState & | robotState,
|  | const JoystickData & | joystickData,
|  | const TeamMessageCollection & | teamMessageCollection,
|  | SoundRequest & | soundRequest,
|  | MotionRequest & | motionRequest,
|  | LEDRequest & | ledRequest,
|  | HeadControlMode & | headControlMode
| ) | `[inline]`

| Constructor. Definition at line 37 of file SensorBehaviorControl.h.

## Member Data Documentation

const Image& SensorBehaviorControlInterfaces::image

| Definition at line 67 of file SensorBehaviorControl.h.

const SensorDataBuffer& SensorBehaviorControlInterfaces::sensorDataBuffer

| Definition at line 70 of file SensorBehaviorControl.h.

const CameraMatrix& SensorBehaviorControlInterfaces::cameraMatrix

| Definition at line 73 of file SensorBehaviorControl.h.

const ColorTable& SensorBehaviorControlInterfaces::colorTable

| The color table ptr. Definition at line 76 of file SensorBehaviorControl.h.

const OdometryData& SensorBehaviorControlInterfaces::odometryData

| The odometry that was estimated by the motion modules. Definition at line 79 of file SensorBehaviorControl.h.

const RobotState& SensorBehaviorControlInterfaces::robotState

| Definition at line 82 of file SensorBehaviorControl.h.

SoundRequest& SensorBehaviorControlInterfaces::soundRequest

| Definition at line 85 of file SensorBehaviorControl.h.

MotionRequest& SensorBehaviorControlInterfaces::motionRequest

| Definition at line 88 of file SensorBehaviorControl.h.

LEDRequest& SensorBehaviorControlInterfaces::ledRequest

| Definition at line 91 of file SensorBehaviorControl.h.

HeadControlMode& SensorBehaviorControlInterfaces::headControlMode

| Definition at line 94 of file SensorBehaviorControl.h.

const JoystickData& SensorBehaviorControlInterfaces::joystickData

| Data produced by an extern sensor called joystick. Definition at line 97 of file SensorBehaviorControl.h.

const TeamMessageCollection& SensorBehaviorControlInterfaces::teamMessageCollection

| Incoming team messages from other robots. Definition at line 100 of file SensorBehaviorControl.h.

The documentation for this class was generated from the following file:

- Modules/SensorBehaviorControl/SensorBehaviorControl.h